=== debian/control ===
Source: host
Section: net
Priority: extra
Maintainer: Thomas Seyrat <tomasera@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.10

Package: host
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: dnsutils (<< 1:9.0.0)
Replaces: dnsutils (<< 1:9.0.0)
Description: utility for querying DNS servers
 'host' is a utility, similar to 'nslookup' (deprecated) or 'dig',
 used to query DNS servers for domain names and zones.
 .
 This package provides the original version of 'host', originally
 in the package 'dnsutils'. BIND9 provides a similar utility, in
 'bind9-host'.
