=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1
export DH_COMPAT=2

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin usr/share/man/man1

	install -m755 -o0 -g0 host $(CURDIR)/debian/host/usr/bin/host

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs RELEASE_NOTES
	dh_installman host.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
